Package com.ngrok.definitions

# Class AbuseReportHostname

java.lang.Object
com.ngrok.definitions.AbuseReportHostname

public class AbuseReportHostname extends Object
A class encapsulating the `AbuseReportHostname` resource.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbuseReportHostname(String hostname, String status)`
  Creates a new instance of `AbuseReportHostname`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getHostname()`
  the hostname ngrok has parsed out of one of the reported URLs in this abuse report
  `String`
  `getStatus()`
  indicates what action ngrok has taken against the hostname.
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AbuseReportHostname

    public AbuseReportHostname(String hostname, String status)
    Creates a new instance of `AbuseReportHostname`.
    Parameters:
      `hostname` - the hostname ngrok has parsed out of one of the reported URLs in this abuse report
      `status` - indicates what action ngrok has taken against the hostname. one of `PENDING`, `BANNED`, `UNBANNED`, or `IGNORE`

- ## Method Details

  - ### getHostname

    public String getHostname()
    the hostname ngrok has parsed out of one of the reported URLs in this abuse report
    Returns:
      the value of the property as a `String`

  - ### getStatus

    public String getStatus()
    indicates what action ngrok has taken against the hostname. one of `PENDING`, `BANNED`, `UNBANNED`, or `IGNORE`
    Returns:
      the value of the property as a `String`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`